Bug 639253 - ibus: surrounding text support bug when backspacing
ibus: surrounding text support bug when backspacing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 05:05 EDT by Harshula Jayasuriya
Modified: 2010-11-23 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version: ibus-1.3.7-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-23 16:52:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshula Jayasuriya 2010-10-01 05:05:48 EDT
Description of problem:

When backspacing a syllable using m17n Wijesekera input method, the consonant and vowel modifier components are not being deleted in graphical order. They are being deleted in encoded order.

Version-Release number of selected component (if applicable):
* ibus and ibus-m17n RPMS from Bug 435880 are required.
* ibus-1.3.7-1.fc13.x86_64.rpm
* ibus-gtk-1.3.7-1.fc13.x86_64.rpm
* ibus-libs-1.3.7-1.fc13.x86_64.rpm
* ibus-m17n-1.3.1-2.fc13.x86_64.rpm

How reproducible:
* Always

Steps to Reproduce:
0) Enable the m17n Wijesekera input method
1) <f><l><d><a> should output කෝ.
2) Press the space bar to commit the buffer.
3) Press the backspace key 4 times. 
4) The remaining output should be ෙ .
  
Actual results:
* ක

Expected results:
* ෙ
Comment 1 Daiki Ueno 2010-11-18 03:09:58 EST
Fujiwara-san, could you apply this patch:
https://github.com/ueno/ibus/commit/bea9300a5cc58518f6da1ff7179a6e69aea12e3c
when you update ibus package in rawhide next time?
The patch should fix this bug.

Please note that the patch disables surrounding-text by default and you will need to add --enable-surrounding-text to autogen.sh.

Thanks,
Comment 2 fujiwara 2010-11-21 23:03:40 EST
Integrated the fix into rawhide.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2615170

https://github.com/fujiwarat/ibus/commit/e1316c38ca1b20c51c02d22517c54fcdcd42898e

I thought to remove IBUS_CAP_SURROUNDING_TEXT in ibusimcontext->caps by default and add some APIs.
But there are timing problems between gtk client's focus-in and loading bus engineproxy and will need several dbus APIs.
So now I think customizing IBUS_CAP_SURROUNDING_TEXT may not help to reduce the resources.

I will integrate the patch into f14 later.
Comment 4 Fedora Update System 2010-11-22 04:04:52 EST
ibus-1.3.7-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-1.3.7-14.fc14
Comment 5 Harshula Jayasuriya 2010-11-22 05:04:56 EST
I tested the F14 RPMs and it fixes the problem.
Comment 6 Fedora Update System 2010-11-22 17:25:16 EST
ibus-1.3.7-14.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ibus-1.3.7-14.fc14
Comment 7 Fedora Update System 2010-11-23 16:52:22 EST
ibus-1.3.7-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.